package com.cm.common.plugin.pojo.vos.dataarea;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: DictionaryVO
 * @Description: 字典视图
 * @Author: WangGeng
 * @Date: 2019/3/4 2:30 PM
 * @Version: 1.0
 **/
@ApiModel
public class DataAreaVO {

    @ApiModelProperty(name = "areaParentId", value = "字典上级ID")
    private String areaParentId;
    @ApiModelProperty(name = "areaName", value = "地区名称")
    private String areaName;
    @ApiModelProperty(name = "areaCode", value = "地区编码")
    private Boolean areaCode;
    @ApiModelProperty(name = "areaCityCode", value = "地区城市编码")
    private String areaCityCode;
    @ApiModelProperty(name = "areaMergerName", value = "地区合并名称")
    private String areaMergerName;
    @ApiModelProperty(name = "areaShortName", value = "地区简称")
    private String areaShortName;
    @ApiModelProperty(name = "areaZipCode", value = "地区邮政编码")
    private String areaZipCode;
    @ApiModelProperty(name = "areaLevel", value = "地区级别（0: 省级 1:市级 2:县级 3:镇级 4:乡村级）")
    private String areaLevel;
    @ApiModelProperty(name = "areaLng", value = "地区经度")
    private String areaLng;
    @ApiModelProperty(name = "areaLat", value = "地区纬度")
    private String areaLat;
    @ApiModelProperty(name = "areaPinyin", value = "地区拼音")
    private String areaPinyin;
    @ApiModelProperty(name = "areaFirst", value = "地区首字母")
    private String areaFirst;

    public String getAreaParentId() {
        return areaParentId == null ? "" : areaParentId;
    }

    public void setAreaParentId(String areaParentId) {
        this.areaParentId = areaParentId;
    }

    public String getAreaName() {
        return areaName == null ? "" : areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public Boolean getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(Boolean areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaCityCode() {
        return areaCityCode == null ? "" : areaCityCode;
    }

    public void setAreaCityCode(String areaCityCode) {
        this.areaCityCode = areaCityCode;
    }

    public String getAreaMergerName() {
        return areaMergerName == null ? "" : areaMergerName;
    }

    public void setAreaMergerName(String areaMergerName) {
        this.areaMergerName = areaMergerName;
    }

    public String getAreaShortName() {
        return areaShortName == null ? "" : areaShortName;
    }

    public void setAreaShortName(String areaShortName) {
        this.areaShortName = areaShortName;
    }

    public String getAreaZipCode() {
        return areaZipCode == null ? "" : areaZipCode;
    }

    public void setAreaZipCode(String areaZipCode) {
        this.areaZipCode = areaZipCode;
    }

    public String getAreaLevel() {
        return areaLevel == null ? "" : areaLevel;
    }

    public void setAreaLevel(String areaLevel) {
        this.areaLevel = areaLevel;
    }

    public String getAreaLng() {
        return areaLng == null ? "" : areaLng;
    }

    public void setAreaLng(String areaLng) {
        this.areaLng = areaLng;
    }

    public String getAreaLat() {
        return areaLat == null ? "" : areaLat;
    }

    public void setAreaLat(String areaLat) {
        this.areaLat = areaLat;
    }

    public String getAreaPinyin() {
        return areaPinyin == null ? "" : areaPinyin;
    }

    public void setAreaPinyin(String areaPinyin) {
        this.areaPinyin = areaPinyin;
    }

    public String getAreaFirst() {
        return areaFirst == null ? "" : areaFirst;
    }

    public void setAreaFirst(String areaFirst) {
        this.areaFirst = areaFirst;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"areaParentId\":\"")
                .append(areaParentId).append('\"');
        sb.append(",\"areaName\":\"")
                .append(areaName).append('\"');
        sb.append(",\"areaCode\":")
                .append(areaCode);
        sb.append(",\"areaCityCode\":\"")
                .append(areaCityCode).append('\"');
        sb.append(",\"areaMergerName\":\"")
                .append(areaMergerName).append('\"');
        sb.append(",\"areaShortName\":\"")
                .append(areaShortName).append('\"');
        sb.append(",\"areaZipCode\":\"")
                .append(areaZipCode).append('\"');
        sb.append(",\"areaLevel\":\"")
                .append(areaLevel).append('\"');
        sb.append(",\"areaLng\":\"")
                .append(areaLng).append('\"');
        sb.append(",\"areaLat\":\"")
                .append(areaLat).append('\"');
        sb.append(",\"areaPinyin\":\"")
                .append(areaPinyin).append('\"');
        sb.append(",\"areaFirst\":\"")
                .append(areaFirst).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
